Subject: Re: LOCALE ERROR
From: Yitzchak Scott-Thoennes <[email-masked]>
To: [email-masked]
Date: Sun, 7 Dec 2003 16:36:45 -0800

On Sun, Dec 07, 2003 at 09:15:28PM -0300, Marcelo Rezende Módolo <[email-masked]> wrote:
> I read the man pages "man setlocale", "man strftime" and find a mistake 
> in str format.

Did you read the part about only the minimum locale support being present?

> I use ' if (!strftime((char *)str, 100, "%#x", (const struct tm 
> *)thetime))' but the correct is
> ' if (!strftime((char *)str, 100, "%x", (const struct tm *)thetime))'...
> But I still have the same output for all setlocale I use.
> setlocale(LC_ALL, "C");
> setlocale(LC_ALL, "pt_BR");
> setlocale(LC_ALL, "ja");
> ...
> $ ./crt_locale.exe
> 'Mon Dec 08 2003'
> 'Mon Dec 08 2003'
> 'Mon Dec 08 2003'
> 'Mon Dec 08 2003'

hint: setlocale returns NULL on error.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/